﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WinGridUtayakumar
{
    public partial class Form1 : Form
    {
        static Random rnd = new Random();
        DataTable dt1;
        private DataTable GetData(int NumberOfRows, int NumberOfColumns)
        {
            int i, j;
            DataTable ReturnValue = new DataTable();

            for (i = 1; i <= NumberOfColumns; i++)
            {
                switch (i)
                {
                    case 1:
                        ReturnValue.Columns.Add("Key", typeof(int));
                        ReturnValue.Columns["Key"].AutoIncrement = true;
                        break;
                    case 2:
                        ReturnValue.Columns.Add("Date", typeof(System.DateTime));
                        break;
                    default:
                        ReturnValue.Columns.Add("Column " + (i - 1).ToString(), typeof(string));
                        break;
                }
            }

            for (j = 1; j <= NumberOfRows; j++)
            {
                ReturnValue.Rows.Add(new object[] { null, System.DateTime.Now.AddHours(rnd.Next(0, 5000)), "Column " + (i - 1).ToString() + Environment.NewLine + ", Row " + (j - 1).ToString() });
            }

            ReturnValue.AcceptChanges();
            return ReturnValue;
        }
        private string RandomString()
        {
            int i, x;
            string ReturnValue = "";

            x = rnd.Next(5, 10);
            for (i = 1; i <= x; i++)
            {
                ReturnValue += RandomCharacter();
            }
            return ReturnValue;
        }

        private string RandomCharacter()
        {
            int x;
            x = rnd.Next(65, 90);
            return ((char)x).ToString();
        }

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dt1 = GetData(1000, 3);
            this.ultraGrid1.DataSource = dt1;
            this.ultraGrid1.DisplayLayout.Override.CellClickAction = CellClickAction.CellSelect;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            ultraGrid1.Rows[1].CellAppearance.ForeColor = Color.Red;
            ultraGrid1.Rows[2].Cells[1].Appearance.ForeColor = Color.Chartreuse;
            ultraGrid1.Rows[2].Cells[1].Appearance.BackColor = Color.Coral;
            ultraGrid1.Rows[2].Cells[1].SelectedAppearance.BackColor = Color.Coral;
            ultraGrid1.Rows[2].Cells[1].SelectedAppearance.BorderColor = Color.CadetBlue;
            ultraGrid1.Rows[2].Cells[1].SelectedAppearance.ForeColor = Color.Chartreuse;
            ultraGrid1.Rows[2].Cells[1].ActiveAppearance.BackColor = Color.Coral;
            e.Layout.Override.ActiveRowAppearance.BackColor = Color.Gold;
            e.Layout.Bands[0].Columns[0].CellAppearance.ForeColor = Color.Orange;
        }
    }
}
